package domain

type AlibabaWdkCouponTemplateQueryCouponTemplateCompatibleConfig struct {
	/*
	   是否要求优惠券在一天的23:59:59失效     */
	ValidTillNight *int64 `json:"valid_till_night,omitempty" `

	/*
	   优惠券应用类型 pointCoupon：积分券     */
	ApplicationType *string `json:"application_type,omitempty" `
}

func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCompatibleConfig) SetValidTillNight(v int64) *AlibabaWdkCouponTemplateQueryCouponTemplateCompatibleConfig {
	s.ValidTillNight = &v
	return s
}
func (s *AlibabaWdkCouponTemplateQueryCouponTemplateCompatibleConfig) SetApplicationType(v string) *AlibabaWdkCouponTemplateQueryCouponTemplateCompatibleConfig {
	s.ApplicationType = &v
	return s
}
